package com.muyu.car.controller;

import cn.hutool.core.util.RandomUtil;
import com.muyu.car.domain.dto.CarDTO;
import com.muyu.car.domain.vo.CarVO;
import com.muyu.car.service.SysCarCompanyService;
import com.muyu.car.service.SysCarService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.security.utils.SecurityUtils;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 参数配置 信息操作处理
 *
 * @author muyu
 */
@RestController
@RequestMapping("/company")
@Tag(name = "SysCarCompanyController", description = "系统参数配置")
public class SysCarCompanyController extends BaseController {

    @Autowired
    private SysCarCompanyService sysCarCompanyService;

    /**
     * 查询企业表
     */
    @PostMapping("selectCompany")
    public Result selectCompany(){
        return Result.success(sysCarCompanyService.list());
    }

}
