package com.muyu.fault.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "faultr_rule",autoResultMap = true)
public class FaultrRule extends BaseEntity {
    /**
     * 故障规则ID
     */
    @TableId(value = "faultrRuleId", type= IdType.AUTO)
    @Schema(defaultValue = "故障规则ID",type = "Long",description = "故障规则ID")
    private Long faultrRuleId;
    /**
     * 故障规则名称
     */
    @Schema(defaultValue = "故障规则名称",type = "String",description = "故障规则名称")
    private String faultrRuleName;
    /**
     * 故障规则描述
     */
    @Schema(defaultValue = "故障规则描述",type = "String",description = "故障规则描述")
    private String faultrRuleDescription;
}
