package com.muyu.warn.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName CarMessage
 * @Description 描述
 * @Author YiBo.Liu
 * @Date 2024/9/22 22:24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "报文表")
@TableName(value = "t_car_message")
public class CarMessage {

    /**
     * 报文表
     */
    private Long messageId;
    /**
     * 车辆报文类别
     */
    private String messageType;
    /**
     * 开始位下标
     */
    private Integer messageStartIndex;
    /**
     * 结束位下标
     */
    private Integer messageEndIndex;
    /**
     * 模版id
     */
    private Long templateId;
    /**
     * 报文标签
     */
    private String messageLabel;


}
